Skip to main content
POST
/
api
/
chats
/
{chat_id}
/
share
Share a chat
curl --request POST \
  --url https://api.morphic.io/api/chats/{chat_id}/share \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "expires_at": "2023-11-07T05:31:56Z"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "chat_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "token": "<string>",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "expires_at": "2023-11-07T05:31:56Z"
}

Authorizations

X-API-Key
string
header
required

API key (sk_xxx) from Developer Settings. No X-Account-ID needed.

Headers

x-account-id
string | null

Path Parameters

chat_id
string<uuid>
required

Body

application/json
expires_at
string<date-time> | null

Response

Successful Response

id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
chat_id
string<uuid>
required
token
string
required
created_by
string<uuid>
required
expires_at
string<date-time> | null